package com.microservices.pms.project.domain.vo;

import com.microservices.pms.project.domain.PmsProjectMembers;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("项目成员搜索对象")
public class PmsProjectMembersSearchVo {

    @ApiModelProperty(value = "项目id")
    private Long pmsProjectId;

    @ApiModelProperty(value = "项目成员id")
    private Long pmsProjectMemberId;

    public PmsProjectMembers toPmsProjectMembers() {
        PmsProjectMembers pmsProjectMembers = new PmsProjectMembers();
        pmsProjectMembers.setPmsProjectId(pmsProjectId);
        pmsProjectMembers.setPmsProjectMemberId(pmsProjectMemberId);
        return pmsProjectMembers;
    }
}
